import { Base, Type, INotifyPropertyChanged, PropertyChangedEventArgs } from "igniteui-react-core";
import { DomRenderer } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { Tuple$2 } from "igniteui-react-core";
import { SVGNode } from "igniteui-react-core";
import { FastIterationDictionary$2 } from "igniteui-react-core";
import { FontInfo } from "igniteui-react-core";
import { IIcon } from "igniteui-react-core";
import { BaseControlTheme } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { BrushCollection } from "igniteui-react-core";
import { IconClickedEventArgs } from "./IconClickedEventArgs";
import { IconVisualModelExport } from "./IconVisualModelExport";
/**
 * @hidden
 */
export declare class IconView extends Base {
    static $t: Type;
    constructor();
    b: XIcon;
    ac(): void;
    g(): boolean;
    o: DomRenderer;
    private e;
    private i;
    get r(): any;
    get s(): any;
    get h(): boolean;
    j: List$1<Tuple$2<SVGNode, any>>;
    k: List$1<Tuple$2<SVGNode, any>>;
    l: List$1<Tuple$2<SVGNode, any>>;
    m: List$1<Tuple$2<SVGNode, any>>;
    n: List$1<Tuple$2<SVGNode, any>>;
    c: FastIterationDictionary$2<string, List$1<Tuple$2<SVGNode, any>>>;
    d: FastIterationDictionary$2<string, List$1<Tuple$2<SVGNode, any>>>;
    aa(a: DomRenderer): void;
    private u;
    ag(a: string): void;
    private t;
    af(a: string): void;
    ae(): void;
    ai(): void;
    private v;
    ad(): void;
    private w;
    private x;
    private f;
    private p;
    private q;
    y(): void;
    ab(): void;
    ah(a: FontInfo): void;
    a(): number[];
    private z;
}
/**
 * @hidden
 */
export declare class XIcon extends Base implements INotifyPropertyChanged, IIcon {
    static $t: Type;
    constructor();
    private _view;
    get view(): IconView;
    set view(a: IconView);
    destroy(): void;
    protected b5(a: string, b: any, c: any): void;
    protected b7(a: string, b: any, c: any): void;
    private cb;
    protected get p(): boolean;
    private ca;
    private b9;
    static cs: Brush;
    static cx: Brush;
    static cw: Brush;
    static ct: Brush;
    static cu: Brush;
    static cv: Brush;
    static af: number;
    static ae: number;
    private h;
    get i(): BaseControlTheme;
    set i(a: BaseControlTheme);
    private cc;
    get cp(): Brush;
    set cp(a: Brush);
    private cd;
    get cq(): Brush;
    set cq(a: Brush);
    private ce;
    get cr(): Brush;
    set cr(a: Brush);
    private t;
    get ad(): number;
    set ad(a: number);
    private cf;
    get fill(): Brush;
    set fill(a: Brush);
    private cn;
    get c5(): Brush;
    set c5(a: Brush);
    private x;
    get aj(): number;
    set aj(a: number);
    private co;
    get c6(): Brush;
    set c6(a: Brush);
    private cg;
    get cy(): Brush;
    set cy(a: Brush);
    private ch;
    get cz(): Brush;
    set cz(a: Brush);
    private v;
    get ah(): number;
    set ah(a: number);
    private ci;
    get c0(): Brush;
    set c0(a: Brush);
    private a;
    get c(): BrushCollection;
    set c(a: BrushCollection);
    private b;
    get d(): BrushCollection;
    set d(a: BrushCollection);
    private cj;
    get c1(): Brush;
    set c1(a: Brush);
    private ck;
    get c2(): Brush;
    set c2(a: Brush);
    private cl;
    get c3(): Brush;
    set c3(a: Brush);
    private cm;
    get c4(): Brush;
    set c4(a: Brush);
    private aw;
    get svgPath(): string;
    set svgPath(a: string);
    private av;
    get svg(): string;
    set svg(a: string);
    b3(): void;
    b4(): void;
    private j;
    get k(): FontInfo;
    set k(a: FontInfo);
    private static ar;
    private au;
    get bc(): string;
    set bc(a: string);
    private ap;
    private l;
    get o(): boolean;
    get aq(): number;
    set aq(a: number);
    private at;
    get a1(): string;
    set a1(a: string);
    private n;
    get r(): boolean;
    set r(a: boolean);
    private m;
    get disabled(): boolean;
    set disabled(a: boolean);
    private w;
    get ai(): number;
    set ai(a: number);
    private z;
    get al(): number;
    set al(a: number);
    private aa;
    get am(): number;
    set am(a: number);
    private ab;
    get an(): number;
    set an(a: number);
    private y;
    get ak(): number;
    set ak(a: number);
    private ac;
    get ao(): number;
    set ao(a: number);
    private u;
    get ag(): number;
    set ag(a: number);
    b6(): void;
    clicked: (sender: any, args: IconClickedEventArgs) => void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    b1(): void;
    protected s(): boolean;
    as(): any;
    a4(): string;
    e(): IconVisualModelExport;
    provideContainer(a: DomRenderer): void;
}
